unit Tdbclpcb;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, DBCtrls;

{========================================================================}
{=                  Softwareberatung- und entwicklung                   =}
{========================================================================}
{=                           Dirk Bhlendorf                            =}
{========================================================================}
{=  D 15366 Neuenhagen              = Tel.: 03342 / 22952               =}
{=  Lessingstr. 20                  = Fax : 03342 / 22951               =}
{========================================================================}
{=  Erzeugt am:  3. Juli 1995       = um: 15:41                         =}
{=  und mit:    MS-DOS 6.2          =     Windows 3.1 und Delphi C/S    =}
{========================================================================}
{=  Aufgabe: Combobox mit Clipboard-Untersttzung                       =}
{========================================================================}
{=           FreeWare ohne Garantie direkt vom Autor                    =}
{========================================================================}

type
  TDBClipComboBox = class(TDBComboBox)
  private
    { Private-Deklarationen }
  protected
    { Protected-Deklarationen }
  public
    { Public-Deklarationen }
    procedure CutToClipboard;
    procedure CopyToClipboard;
    procedure PasteFromClipboard;
  published
    { Published-Deklarationen }
  end;

procedure Register;

implementation

uses Clipbrd;

procedure Register;
begin
  RegisterComponents('MyDatabase', [TDBClipComboBox]);
end;

procedure TDBClipComboBox.CutToClipboard;
Begin
  Clipboard.AsText:=SelText;
  SelText:=''
End;

procedure TDBClipComboBox.CopyToClipboard;
Begin
  Clipboard.AsText:=SelText;
End;

procedure TDBClipComboBox.PasteFromClipboard;
Begin
  SelText:=Clipboard.AsText
End;

end.
